[arch-commits] Commit in haskell-yaml/repos (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Fri Sep 24 21:10:25 UTC 2021


    Date: Friday, September 24, 2021 @ 21:10:25
  Author: felixonmars
Revision: 1023992

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-yaml/repos/community-staging-x86_64/
  haskell-yaml/repos/community-staging-x86_64/PKGBUILD
    (from rev 1023991, haskell-yaml/trunk/PKGBUILD)

----------+
 PKGBUILD |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

Copied: haskell-yaml/repos/community-staging-x86_64/PKGBUILD (from rev 1023991, haskell-yaml/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2021-09-24 21:10:25 UTC (rev 1023992)
@@ -0,0 +1,45 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=yaml
+pkgname=haskell-yaml
+pkgver=0.11.6.0
+pkgrel=3
+pkgdesc="Support for parsing and rendering YAML documents."
+url="https://github.com/snoyberg/yaml/"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-attoparsec' 'haskell-conduit' 'haskell-libyaml'
+         'haskell-vector' 'haskell-resourcet' 'haskell-scientific' 'haskell-unordered-containers')
+makedepends=('ghc' 'haskell-hspec' 'haskell-hunit' 'haskell-mockery' 'haskell-base-compat'
+             'haskell-raw-strings-qq' 'haskell-temporary')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('317a3fa351effafc5ae1a98b6fb99e6e7999f0cd03f4d7c7597be95ee75e8bd21579ec5dd67cba586e2420e1f83c45f6f5019f45f71b79635b075902b068c512')
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    LC_CTYPE=en_US.UTF-8 runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list